I am about to modify a routine I have that labels lines/polylines/arcs with bearing and distances. I am going to make the labels dynamic so that if the line is alteres, the label is realigned and the text value amended. I was going to attached the handles of the text labels to the line as extended data so that I can identify them when the reactor for the line kicks in. Is this the only way to link the line and the text, or is there another method associated with reactors where I can say which entities are affected when the reactor is initiated? Jon Rasmussen My code for investigating Reactors: (defun c:brdr () ;attached reactor to line (setq line (car (entsel " Select Line "))) (setq linereactor (vlr-object-reactor (list (vlax-ename->vla-object line)) "Line Reactor" '((:vlr-modified . updatebrgdst)) )) ) (defun updatebrgdst (notifier-object reactor-object parameter-list) (vl-load-com) (cond ( (vlax-property-available-p notifier-object "length" ) (princ "The length is ") (princ (vla-get-length notifier-object)) ) ) (cond ( (vlax-property-available-p notifier-object "angle" ) (princ "The angle is ") (princ (vla-get-angle notifier-object)) ) ) (princ) )